#ifndef UK_AC_HERTS_SMARTLAB_XBEE_SerialData
#define UK_AC_HERTS_SMARTLAB_XBEE_SerialData

#include "mbed.h"
#include "ISerial.h"

class SerialData: public ISerial
{
private:
    Serial * serialPort;

public:
    SerialData(PinName tx, PinName rx);
    
    SerialData(PinName tx, PinName rx, int baudRate);
    
    ~SerialData();

    virtual int readByte();

    virtual void writeByte(char data);
    
    virtual bool isOpen();

    virtual void open();

    virtual void close();
};

#endif